Loading...
Searching...
No Matches
point2d.c File Reference
`#include <stdio.h>`
`#include <math.h>`
`#include <unistd.h>`
`#include <grass/gis.h>`
`#include <grass/vector.h>`
`#include <grass/dbmi.h>`
`#include <grass/interpf.h>`
Include dependency graph for point2d.c:

Go to the source code of this file.

## Macros

#define | POINT2D_C

## Functions

int | IL_check_at_points_2d (struct interp_params *params, struct quaddata *data, double *b, double *ertot, double zmin, double dnorm, struct triple *skip_point)
int | IL_write_point_2d (struct triple point, double err)
| A function to write out point and deviation at point to database.

## Detailed Description

Author
  Lubos Mitas (original program and various modifications)
  H. Mitasova, I. Kosinovsky, D. Gerdes, D. McCauley (GRASS4.1 version of the program and GRASS4.2 modifications)
  modified by McCauley in August 1995
  modified by Mitasova in August 1995, Nov. 1996

Copyright
  (C) 1993-2006 by Helena Mitasova and the GRASS Development Team
  This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Definition in file point2d.c.

## Macro Definition Documentation

## POINT2D_C

#define POINT2D_C

Definition at line 33 of file point2d.c.

## Function Documentation

## IL_check_at_points_2d()

int IL_check_at_points_2d | ( | struct interp_params * | params,
|  | struct quaddata * | data,
|  | double * | b,
|  | double * | ertot,
|  | double | zmin,
|  | double | dnorm,
|  | struct triple * | skip_point )

Checks if interpolating function interp() evaluates correct z-values at given points. If smoothing is used calculate the maximum error caused by smoothing.

ertot is a RMS deviation of the interpolated surface.

Todo
  Alternative description: ...calculate the maximum and RMS deviation caused by smoothing.

Parameters

  data | current region
  b | solution of linear equations
  ertot | total error
  zmin | min z-value

Definition at line 52 of file point2d.c.

References b, interp_params::create_devi, interp_params::cv, err(), interp_params::fi, IL_write_point_2d(), interp_params::interp, r, triple::x, interp_params::x_orig, triple::y, interp_params::y_orig, and triple::z.

## IL_write_point_2d()

int IL_write_point_2d | ( | struct triple | point,
|  | double | err )

A function to write out point and deviation at point to database.

Parameters

  point | point to write out
  error | deviation at point

Returns
  1

Definition at line 163 of file point2d.c.

References Cats2, count, driver2, err(), ff, G_debug(), G_fatal_error(), Map2, Pnts, and sql2.

Referenced by IL_check_at_points_2d(), and IL_check_at_points_2d_cvdev().